// Generated by CoffeeScript 1.6.2
/*
The nesh command, which parses options and then drops the user
into an interactive session.
*/


(function() {
  var argv, fs, nesh, optimist, opts;

  fs = require('fs');

  nesh = require('./nesh');

  optimist = require('optimist').usage('$0 [options]').options('c', {
    describe: 'Load CoffeeScript; shortcut for -l coffee',
    boolean: true
  }).options('e', {
    alias: 'eval',
    describe: 'Filename or string to eval in the REPL context',
    string: true
  }).options('h', {
    alias: 'help',
    describe: 'Show help and exit',
    boolean: true
  }).options('l', {
    alias: 'lang',
    describe: 'Set interpreter language',
    string: true
  }).options('list-languages', {
    describe: 'List available languages',
    boolean: true
  }).options('p', {
    alias: 'prompt',
    describe: 'Set prompt string',
    string: true
  }).options('v', {
    alias: 'version',
    describe: 'Show version and exit',
    boolean: true
  }).options('w', {
    alias: 'welcome',
    describe: 'Set welcome message',
    string: true
  });

  argv = optimist.argv;

  if (argv.h) {
    optimist.showHelp();
    return;
  }

  if (argv.v) {
    console.log("nesh version " + nesh.version);
    return;
  }

  if (argv['list-languages']) {
    console.log(nesh.languages().join(', '));
    return;
  }

  if (argv.c) {
    argv.lang = 'coffee';
  }

  if (argv.lang) {
    nesh.loadLanguage(argv.lang);
  }

  opts = {};

  if (argv.prompt != null) {
    opts.prompt = argv.prompt;
  }

  if (argv.welcome != null) {
    opts.welcome = argv.welcome;
  }

  if (argv["eval"]) {
    if (fs.existsSync(argv["eval"])) {
      opts.evalData = fs.readFileSync(argv["eval"], 'utf-8');
    } else {
      opts.evalData = argv["eval"];
    }
    if (nesh.compile) {
      opts.evalData = nesh.compile(opts.evalData);
    }
  }

  nesh.loadPlugin(require('./plugins/builtins'), function(err) {
    if (err) {
      return console.log(err);
    }
    return nesh.start(opts, function(err) {
      if (err) {
        return console.error(err);
      }
    });
  });

}).call(this);

/*
//@ sourceMappingURL=command.map
*/
