// Generated by CoffeeScript 1.6.2
/*
Builtin Utilities Plugin
*/


(function() {
  var crypto;

  crypto = require('crypto');

  exports.postStart = function(repl) {
    /*
    Hashing functions
    */
    repl.context.md5 = function(value) {
      return crypto.createHash('md5').update(value).digest('hex');
    };
    repl.context.sha = function(value) {
      return crypto.createHash('sha1').update(value).digest('hex');
    };
    /*
    Random functions
    */

    repl.context.rand = function(start, end) {
      if (start == null) {
        start = 0;
        end = 1;
      } else if (end == null) {
        end = start;
        start = 0;
      }
      return Math.random() * (end - start) + start;
    };
    repl.context.randChoices = function(choices, length) {
      var result;

      if (length == null) {
        length = 1;
      }
      result = [];
      while (--length >= 0) {
        result.push(choices[Math.floor(Math.random() * choices.length)]);
      }
      return result;
    };
    repl.context.randString = function(length, charSet) {
      if (charSet == null) {
        charSet = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
      }
      return repl.context.randChoices(charSet.split(''), length).join('');
    };
    return repl.context.randHex = function(length) {
      return repl.context.randString(length, 'abcdef0123456789');
    };
  };

}).call(this);

/*
//@ sourceMappingURL=builtins.map
*/
