// Generated by CoffeeScript 1.6.2
/*
Welcome Message Plugin
======================
This plugin adds a new option to the repl opts called `welcome` that,
if set, will display the set string before starting the interpreter.
The welcome message can be set like so:

    nesh.start {welcome: 'Hello!'}, (err) ->
        console.log err if err
*/


(function() {
  require('colors');

  exports.setup = function(defaults) {
    return defaults.welcome = ("Node " + process.version + "\nType ") + ".help".cyan + " for more information";
  };

  exports.preStart = function(opts) {
    var outStream;

    if (opts.welcome) {
      outStream = opts.outputStream || process.stdout;
      return outStream.write("" + opts.welcome + "\n");
    }
  };

}).call(this);

/*
//@ sourceMappingURL=welcome.map
*/
